Subject: Re: LLMNR Issue 30: Why is Dynamic Update Needed?

From: Mika Liljeberg <[email-masked]>
Date: 07 Apr 2003 22:55:53 +0300

I tend to agree with Erik. Using dynamic update seems like an
unnecessary complication when a simple query would do just as well.

	MikaL

On Tue, 2003-04-01 at 09:25, Bernard Aboba wrote:
> Issue 30: Why is Dynamic Update needed?
> Submitter: Erik Guttman
> Submitter email address: [email-masked]
> Date first submitted: March 24, 2003
> Reference:
> Document: LLMNR-14
> Comment type: T
> Priority: S
> Section: 4
> Rationale/Explanation of issue:
> 
> Maybe I'm missing something, but I do not understand why a host
> with UNIQUE RRs needs to test for uniqueness by sending a
> Dynamic Update request for the RR with a prerequisite of NXRRSET.
> Why would it not be sufficient to send a query for the RR?
> 
> Within the draft, a host that has a UNIQUE RR and
> receives a Dynamic Update request will respond with the
> YXRRSET error, because the RR does exist. The draft does
> not state how the host should respond if the RR is not
> UNIQUE. Doesn't it also send a YXRRSET error? If so, then
> the sender receives no information about whether the
> host thinks that the RR is really UNIQUE or not.
> 
> Given this, it seems to me that the same result could be
> accomplished more simply by sending a query for the RR.
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>